Name:          xmlcopyeditor
Version:       1.3.0.0
Release:       1mamba
Summary:       A fast, free, validating XML editor 
Group:         Graphical Desktop/Applications/Development 
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://xml-copy-editor.sourceforge.io/
Source:        http://downloads.sourceforge.net/project/xml-copy-editor/xmlcopyeditor-linux/%{version}/xmlcopyeditor-%{version}.tar.gz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libatk-devel
BuildRequires: libcairo-devel
BuildRequires: libenchant1-devel
BuildRequires: libexpat-devel
BuildRequires: libgcc
BuildRequires: libgdk-pixbuf-devel
BuildRequires: libglib-devel
BuildRequires: libgtk3-devel
BuildRequires: libharfbuzz-devel
BuildRequires: liblzma-devel
BuildRequires: libpango-devel
BuildRequires: libpcre-devel
BuildRequires: libstdc++6-devel
BuildRequires: libwx_baseu30-devel
BuildRequires: libwx_gtk3u30-devel
BuildRequires: libxerces-c-devel
BuildRequires: libxml2-devel
BuildRequires: libxslt-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END

%description
XML Copy Editor is a fast, free, validating XML editor, with following features:
* DTD/XML Schema/RELAX NG validation
* XSLT
* XPath
* Pretty-printing
* Syntax highlighting
* Folding
* Tag completion
* Tag locking
* Tag-free editing
* Spelling and style check
* Built-in support for XHTML, XSL, DocBook and TEI

%debug_package

%prep
%setup -q -n %{name}

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%find_lang %{name}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/xmlcopyeditor                    
%{_datadir}/applications/xmlcopyeditor.desktop
%{_datadir}/metainfo/xmlcopyeditor.appdata.xml
%{_datadir}/pixmaps/xmlcopyeditor.png         
%{_datadir}/xmlcopyeditor
%{_mandir}/man1/xmlcopyeditor.1*
%doc AUTHORS COPYING
#ChangeLog NEWS README TODO

%changelog
* Sun Jan 23 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 1.3.0.0-1mamba
- update to 1.3.0.0

* Wed Feb 17 2010 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 1.2.0.6-1mamba
- package created by autospec
